## Meat Lovers: Main

execute if score gameTime gameData matches 600 run tellraw @a [{"text":"- ","color":"white"},{"text":"1 minutes left!","color":"yellow"}]
execute if score gameTime gameData matches 1200 run tellraw @a [{"text":"- ","color":"white"},{"text":"30 seconds left!","color":"yellow"}]
execute if score gameTime gameData matches 1600 run tellraw @a [{"text":"- ","color":"white"},{"text":"10 seconds left!","color":"yellow"}]
execute if score gameTime gameData matches 1740 run tellraw @a [{"text":"- ","color":"white"},{"text":"3 seconds left!","color":"yellow"}]
execute if score gameTime gameData matches 1760 run tellraw @a [{"text":"- ","color":"white"},{"text":"2 seconds left!","color":"yellow"}]
execute if score gameTime gameData matches 1780 run tellraw @a [{"text":"- ","color":"white"},{"text":"1 second left!","color":"yellow"}]

execute if score gameTime gameData matches 600 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1200 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1600 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1740 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1760 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1780 run playsound block.note_block.hat voice @a ~ ~ ~ 10000


scoreboard players remove meat_lovers.spawn gameData 1
execute if score meat_lovers.spawn gameData matches 0 run function game:meat_lovers/spawn_animal

clear @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:wooden_sword"}]}] wooden_sword
give @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:wooden_sword"}]}] wooden_sword{GameItem:1b,Unbreakable:1b,Enchantments:[{id:"knockback",lvl:3s}],display:{Name:'{"text":"Wooden Sword","italic":false,"color":"aqua"}',Lore:['{"text":"Why knockback? I have no idea.","color":"yellow","italic":false}']},HideFlags:62}
kill @e[type=item,nbt={Item:{id:"minecraft:wooden_sword"}}]

execute as @a[advancements={game:meat_lovers/hit_by_player=true}] if data entity @s Inventory[1] at @s run loot spawn ~ ~ ~ loot game:meat_lovers/player_drop
clear @a[advancements={game:meat_lovers/hit_by_player=true}] #other:meat 1
advancement revoke @a only game:meat_lovers/hit_by_player

execute as @a[scores={death=0,meat_lovers.vil=1..}] if data entity @s Inventory[1] run function game:meat_lovers/deliver_meat
scoreboard players reset @a meat_lovers.vil
execute unless entity @a[scores={death=0},tag=meat_lovers.lead,limit=1] if entity @a[scores={death=0,meat_lovers=1..}] run function game:meat_lovers/get_lead

team modify players friendlyFire true
execute as @a[gamemode=!spectator] at @s if entity @s[y=40,dx=10] run clear @s #other:meat
execute as @e[type=villager,tag=meat_lovers.vil,limit=1] at @s if entity @a[gamemode=!spectator,limit=1,sort=nearest,distance=..5] run tp @s 0 66 0 facing entity @a[gamemode=!spectator,limit=1,sort=nearest,distance=..5]
execute as @e[type=villager,tag=meat_lovers.vil,limit=1] at @s unless entity @a[gamemode=!spectator,limit=1,sort=nearest,distance=..5] run tp @s 0 66 0 ~ 0
execute as @e[type=item,nbt=!{Age:-32768s}] run data modify entity @s Age set value -32768s
kill @e[type=experience_orb]


# End Round
scoreboard players add gameTime gameData 1
execute if score gameTime gameData matches 1800 run scoreboard players set highestScore meat_lovers 0
execute if score gameTime gameData matches 1800 run scoreboard players operation highestScore meat_lovers > @a[scores={death=0}] meat_lovers
execute if score gameTime gameData matches 1800 as @a[scores={death=0}] if score @s meat_lovers = highestScore meat_lovers at @s run tag @s add winner
execute if score gameTime gameData matches 1800 as @a[scores={death=0},tag=!winner] run function other:fake_death
execute if score gameTime gameData matches 1800 run tellraw @a [{"text":"- ","color":"white"},{"selector":"@a[tag=winner,limit=1]","color":"aqua"},{"text":" won the round and earned ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"aqua"},{"text":" points!","color":"yellow"}]
execute if score gameTime gameData matches 1800 run title @a times 0 80 20
execute if score gameTime gameData matches 1800 run title @a title {"selector":"@a[tag=winner,limit=1]","color":"aqua","bold":true}
execute if score gameTime gameData matches 1800 run title @a subtitle [{"text":"won ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"yellow"},{"text":" points!","color":"yellow"}]
execute if score gameTime gameData matches 1800 run scoreboard players operation @a[tag=winner,limit=1] points += pointsReward const
execute if score gameTime gameData matches 1800 run scoreboard players set phase gameData 5